

class CommandVoteParser{
    constructor(voteParser){
        this.voteParser = voteParser;
        this.command = "!complot score ";
        this.channel = '892676980699455500'; /**TODO CONF */
    }

    parse(message){
        if(message.channelId === this.channel){
            const content = message.content.toLowerCase();
            if(content.startsWith(this.command)){
                const score = parseInt(content.slice(this.command.length));
                if(score > 0){
                    this.voteParser.setScore(score);
                    message.reply(`Fait, score à ${score}`);
                }
            }
        }
    }
}

module.exports = CommandVoteParser;